import { HttpService } from '@nestjs/axios';
import { ConfigService } from '@nestjs/config';
import { HttpClientService } from './http-client.service';
import { UserAuth } from '../../auth/model/user-auth.model';
export declare class ClientAuthService extends HttpClientService {
    protected readonly httpService: HttpService;
    private readonly configService;
    private token;
    constructor(httpService: HttpService, configService: ConfigService);
    protected getHeaders(): {
        'Content-Type': string;
        Authorization: string;
    };
    createUser(user: UserAuth): Promise<any>;
}
